// Paramétrage de Feuillet
// Selection de la couleur du marqueur
// en fonction des propriétés du feature correspondant
// Le retour doit être une des couleurs de marqueur de feuillet

function biodiv_marker(feature,latlng) {
	if (feature.properties && feature.properties.confidentiel) {
		switch(feature.properties.confidentiel) {
     	 	 case 'oui':
     	 	 	 return 'red';
     	 	 	 break;
     	 	 case 'inconnu':
     	 	 	 return 'yellow';
     	 	 	 break;
     	 	 default:
     	 	 	 break;
     	 }
     }
     if (feature.properties && feature.properties.type_obs) {
     	 switch(feature.properties.type_obs) {
     	 	 case 'autre':
     	 	 	 return 'green';
     	 	 	 break;
     	 	 default:
     	 	 	 break;
     	  } 
     } 
     return 'blue';
}
